  //-----------------------------------------------------------------
  // configure GA gData API
  //-----------------------------------------------------------------
  var myService = new google.gdata.analytics.AnalyticsService('sampleApp1');
  var scope = 'https://www.google.com/analytics/feeds';

  //-----------------------------------------------------------------
  // AuthSub Authentication
  //-----------------------------------------------------------------
  function login() {
    var token = google.accounts.user.login(scope);
    getStatus();
  }

  function logout() {
    google.accounts.user.logout();
    getStatus();
	window.location.reload(true);
  }
  
  function getAccountFeed() { 
  var myAccountFeedUri = scope + "/accounts/default"; 
  myService.getAccountFeed(myAccountFeedUri, listProfiles, handleError); 
} 

  function getStatus() {
    var statVal = document.getElementById('status');
    var btnLogin = document.getElementById('btnLogin');
	//var statValPie = document.getElementById('statusPie');
    //var btnLoginPie = document.getElementById('btnLoginPie');
    if (google.accounts.user.checkLogin(scope) == '') {
      btnLogin.value = 'Login';
	  //btnLoginPie.value = 'Login';
      btnLogin.onclick = login;
	  //btnLoginPie.onclick = login;
      statVal.innerHTML = 'Login to your Google Analytics account to continue';
	  //statValPie.innerHTML = 'Login to your Google Analytics account to continue';
    } else {
      btnLogin.value = 'Logout';
	  //btnLoginPie.value = 'Logout';
      btnLogin.onclick = logout;
	  //btnLoginPie.onclick = logout;
      statVal.innerHTML = 'You are logged in';
	  //statValPie.innerHTML = 'You are logged in';
	  getAccountFeed();
    }
  }

  //-----------------------------------------------------------------
  // GA Data Feed
  //-----------------------------------------------------------------
  function getPageviewsByCityFeed() {
	datafile1='<graphs><graph gid="1">';
	datafile2="<chart><series>";
    var myFeedUri = scope + '/data' +
        '?start-date='+document.getElementById('SDate').value+
        '&end-date='+document.getElementById('EDate').value +
        '&dimensions=ga:date' +
        '&metrics='+document.getElementById('GAReport').value +
        '&sort=ga:date' +
        '&max-results=1000' +
        '&ids=ga:' + document.getElementById('ProfileIds').value;
    myService.getDataFeed(myFeedUri, handleMyFeed, handleError);
  }
  
	function handleMyFeed(myResultsFeedRoot) {
    tableOutput(myResultsFeedRoot.feed);
	drawGraph();
  }
  
  function getMediumByCityFeed() {
	datafile3='<pie>';
	datafile4="</pie>";
    var myFeedUri = scope + '/data' +
        '?start-date='+document.getElementById('SDate').value+
        '&end-date='+document.getElementById('EDate').value +
        '&dimensions=ga:medium' +
        '&metrics=ga:visits'+
        '&sort=ga:visits'+
        '&max-results=1000' +
        '&ids=ga:' + document.getElementById('ProfileIds').value;
    myService.getDataFeed(myFeedUri, handleMyFeedPie, handleError);
  }
  
  function handleMyFeedPie(myResultsFeedRoot) {
    tableOutput(myResultsFeedRoot.feed);
	drawPie();
  }
  
  function handleError(e) {
    alert('There was an error!\n' + e.cause ? e.cause.statusText : e.message);
  }
  
  //-----------------------------------------------------------------
  // Format Output
  //-----------------------------------------------------------------
  function tableOutput(feed) {
    var entries = feed.entry;
    var dataSources = feed.getDataSources();
    var aggregatedMetrics = feed.getAggregates().getMetrics();
    var aggregatesTableData = [];
    for (var idx = 0; idx < aggregatedMetrics.length; idx++) {
      var aggregateMetric = aggregatedMetrics[idx];
      aggregatesTableData.push([
        aggregateMetric.getName(),
        aggregateMetric.getValue(),
        aggregateMetric.getConfidenceInterval(),
        aggregateMetric.getType()
      ]);
    }
    var valueLabel=new Array('Direct Traffic','Search Engines','Referring Sites');
	var pullOut=new Array('pull_out="true"','','');
    var entriesTableData = [];
    for (var idx = 0; idx < entries.length; idx++) {
      var entry = entries[idx];
      var row = [];
      var dimensions = entry.getDimensions();
      for (var d = 0; d < dimensions.length; d++) {
        var dimension = dimensions[d];
        row.push(revDate(dimension.getValue()));		
      }
      var metrics = entry.getMetrics();
      for (var m = 0; m < metrics.length; m++) {
        var metric = metrics[m];
        row.push(metric.getValue() +
                 ' (CI ' + metric.getConfidenceInterval() + ')');
		if(document.getElementById('GAReport').value == "ga:newVisits,ga:visits" || document.getElementById('GAReport').value == "ga:bounces,ga:entrances")
		{
			if(metrics[m+1])
			datafile1=datafile1+"<value xid='"+idx+"'>"+((metric.getValue()/metrics[m+1].getValue())*100).toFixed(2)+"</value>";
			m++;
		}
		else
		{
			if(document.getElementById('GAReport').value == "ga:pageviews,ga:visits")
			{
				if(metrics[m+1])
				datafile1=datafile1+"<value xid='"+idx+"'>"+(metric.getValue()/metrics[m+1].getValue()).toFixed(2)+"</value>";
				m++;
			}
			else
			datafile1=datafile1+"<value xid='"+idx+"'>"+metric.getValue()+"</value>";
		}
		datafile3=datafile3+'<slice title="'+valueLabel[idx]+'" '+pullOut[idx]+'>'+metric.getValue()+'</slice>';
	  }
      datafile2=datafile2+"<value xid='"+idx+"'>"+revDate(dimension.getValue())+"</value>";
	  entriesTableData.push(row);
    }
	datafile2=datafile2+"</series>";
	datafile1=datafile1+"</graph></graphs></chart>";
  }
  
  function tableize(rows) {
    var tableStrings = ['<table border="1">'];
    for (var i = 0; i < rows.length; i++) {
      var row = rows[i];
      tableStrings.push('<tr>');
      for (var j = 0; j < row.length; j++) {
        tableStrings.push('<td>' + row[j] + '</td>');
      }
      tableStrings.push('</tr>');
    }
    tableStrings.push('</table>');
    return tableStrings.join('');
  }
  
  
  function listProfiles(myResultsFeedRoot) { 
   var ProfileField = document.getElementById('ProfileIds');
   var newOpt1;
   var feed = myResultsFeedRoot.feed; 
   var entries = feed.entry;
   for (var idx = 0; idx < entries.length; idx++) { 
     var entry = entries[idx]; 
	newOpt1 = new Option(entry.getPropertyValue("ga:webPropertyID"), entry.getPropertyValue("ga:profileId"));
    ProfileField.options[idx] = newOpt1;
    ProfileField.selectedIndex = 0;
   } 
}